%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname  incremental
%global forgeurl https://github.com/twisted/%{srcname}
%global tag      %{srcname}-24.7.2
%forgemeta

Name:           python-%{srcname}
Version:        24.7.2
Release:        %autorelease
Summary:        A small library that versions your Python projects
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_enable_dependency_generator}

%description
Incremental is a CalVer version manager supports the future.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
%{description}


%prep
%forgeautosetup -p1

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import -t


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst NEWS.rst 
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}.dist-info/


%changelog
%autochangelog
